Bug 1193942 - (CVE-2021-44790) VUL-0: CVE-2021-44790: apache2: buffer overflow when parsing multipart content in mod_lua
(CVE-2021-44790)
VUL-0: CVE-2021-44790: apache2: buffer overflow when parsing multipart conten...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P2 - High : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/317980/
CVSSv3.1:SUSE:CVE-2021-44790:9.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-21 08:29 UTC by Alexander Bergmann
Modified: 2022-09-15 07:45 UTC (History)
9 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-12-21 08:29:22 UTC
CVE-2021-44790

A carefully crafted request body can cause a buffer overflow in the mod_lua
multipart parser (r:parsebody() called from Lua scripts). The Apache httpd team
is not aware of an exploit for the vulnerabilty though it might be possible to
craft one. This issue affects Apache HTTP Server 2.4.51 and earlier.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-44790
http://seclists.org/oss-sec/2021/q4/172
http://www.openwall.com/lists/oss-security/2021/12/20/4
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-44790
http://httpd.apache.org/security/vulnerabilities_24.html
Comment 1 OBSbugzilla Bot 2021-12-21 11:00:03 UTC
This is an autogenerated message for OBS integration:
This bug (1193942) was mentioned in
https://build.opensuse.org/request/show/941819 Factory / apache2
Comment 3 Petr Gajdos 2022-01-03 11:09:42 UTC
Will submit for 15sp2,15,12sp2/apache2.
Comment 5 Petr Gajdos 2022-01-05 11:13:28 UTC
I believe all fixed.
Comment 7 Petr Gajdos 2022-01-06 14:36:35 UTC
Now also submitted for 12sp5.
Comment 9 Swamp Workflow Management 2022-01-12 20:19:41 UTC
SUSE-SU-2022:0065-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1193942,1193943
CVE References: CVE-2021-44224,CVE-2021-44790
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    apache2-2.4.23-29.83.1
SUSE OpenStack Cloud Crowbar 8 (src):    apache2-2.4.23-29.83.1
SUSE OpenStack Cloud 9 (src):    apache2-2.4.23-29.83.1
SUSE OpenStack Cloud 8 (src):    apache2-2.4.23-29.83.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    apache2-2.4.23-29.83.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    apache2-2.4.23-29.83.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    apache2-2.4.23-29.83.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    apache2-2.4.23-29.83.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    apache2-2.4.23-29.83.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    apache2-2.4.23-29.83.1
HPE Helion Openstack 8 (src):    apache2-2.4.23-29.83.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-01-17 20:22:36 UTC
SUSE-SU-2022:0091-1: An update that fixes two vulnerabilities, contains two features is now available.

Category: security (important)
Bug References: 1193942,1193943
CVE References: CVE-2021-44224,CVE-2021-44790
JIRA References: SLE-22733,SLE-22849
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    apache2-2.4.51-3.37.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    apache2-2.4.51-3.37.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    apache2-2.4.51-3.37.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    apache2-2.4.51-3.37.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    apache2-2.4.51-3.37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2022-01-17 20:23:46 UTC
openSUSE-SU-2022:0091-1: An update that fixes two vulnerabilities, contains two features is now available.

Category: security (important)
Bug References: 1193942,1193943
CVE References: CVE-2021-44224,CVE-2021-44790
JIRA References: SLE-22733,SLE-22849
Sources used:
openSUSE Leap 15.3 (src):    apache2-2.4.51-3.37.1
Comment 12 Swamp Workflow Management 2022-01-18 20:26:01 UTC
SUSE-SU-2022:0119-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1193942,1193943
CVE References: CVE-2021-44224,CVE-2021-44790
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-3.61.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-3.61.1
SUSE Enterprise Storage 6 (src):    apache2-2.4.33-3.61.1
SUSE CaaS Platform 4.0 (src):    apache2-2.4.33-3.61.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-01-20 20:18:26 UTC
SUSE-SU-2022:0091-2: An update that fixes two vulnerabilities, contains two features is now available.

Category: security (important)
Bug References: 1193942,1193943
CVE References: CVE-2021-44224,CVE-2021-44790
JIRA References: SLE-22733,SLE-22849
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    apache2-2.4.51-3.37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2022-02-16 17:21:29 UTC
SUSE-SU-2022:0440-1: An update that fixes two vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1193942,1193943
CVE References: CVE-2021-44224,CVE-2021-44790
JIRA References: SLE-18664
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    apache2-2.4.51-35.7.1
SUSE Linux Enterprise Server 12-SP5 (src):    apache2-2.4.51-35.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2022-03-28 19:17:15 UTC
openSUSE-SU-2022:0091-1: An update that fixes three vulnerabilities, contains two features is now available.

Category: security (important)
Bug References: 1193942,1193943,1197552
CVE References: CVE-2021-44224,CVE-2021-44790,CVE-2022-1096
JIRA References: SLE-22733,SLE-22849
Sources used:
openSUSE Leap 15.3 (src):    apache2-2.4.51-3.37.1
openSUSE Backports SLE-15-SP3 (src):    chromium-99.0.4844.84-bp153.2.75.1
Comment 23 Marcus Meissner 2022-09-15 07:45:22 UTC
all released